﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ImageCellTemplateBooking
{
    public class Booking : INotifyPropertyChanged
    {
        private Person _customer;
        private int _slotNo;
        private int _pilotID;
        private string _status;

        public event PropertyChangedEventHandler? PropertyChanged;

        public Person Customer
        {
            get
            {
                return _customer;
            }
            set
            {
                _customer = value;
                NotifyPropertyChanged("Customer");
            }
        }

        public int SlotNo 
        {
            get
            {
                return _slotNo;
            }
            set
            {
                _slotNo = value;
                NotifyPropertyChanged("SlotNo");
            }
        }

        public int PilotID 
        {
            get
            {
                return _pilotID;
            }
            set
            {
                _pilotID = value;
                NotifyPropertyChanged("PilotID");
            }
        }

        public string Status 
        {
            get
            {
                return _status;
            }
            set
            {
                _status = value;
                NotifyPropertyChanged("Status");
            }
        }

        private void NotifyPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }

        public Booking(string name, int slotNo, int pilotID, string status)
        {
            Customer = new Person(name);
            SlotNo = slotNo;
            PilotID = pilotID;
            Status = status;
        }

        public override string ToString()
        {
            return this.Customer.DisplayName;
        }
    }
}
