﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ImageCellTemplateBooking
{
    public class BookingViewModel : INotifyPropertyChanged
    {
        
        private List<string> _statusList;
        private ObservableCollection<Booking> _bookingsList;

        public event PropertyChangedEventHandler? PropertyChanged;

        public ObservableCollection<Booking> BookingsList
        {
            get { return _bookingsList; }
            set { _bookingsList = value;
                NotifyPropertyChanged("BookingsList");
            }
        }

        private void NotifyPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }

        public BookingViewModel()
        {
            _statusList = new List<string>() { "Unknown", "Reserved", "Cancelled" };
            _bookingsList = new ObservableCollection<Booking>();
            _bookingsList.Add(new Booking("Sean Brennon", 2, 1, "Reserved"));
            _bookingsList.Add(new Booking("Zara Brennon", 4, 3, "Cancelled"));
            _bookingsList.Add(new Booking("Paul Brennon", 1, 2, "Unknown"));
            _bookingsList.Add(new Booking("Terry McGovern", 3, 4, "Reserved"));
        }
       

    }
}
