﻿using C1.WPF.Grid;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;

namespace ImageCellTemplateBooking
{
    public class MyCellFactory : GridCellFactory
    {
        private MyTemplateSelector _myTemplateSelector;
        private static Collection<(int row, int col)> _cells;

        public MyCellFactory(MyTemplateSelector myTemplateSelector)
        {
            _myTemplateSelector = myTemplateSelector;
            _cells = new Collection<(int row, int col)>();
        }


        public override void PrepareCell(GridCellType cellType, GridCellRange range, GridCellView cell, Thickness internalBorders)
        {

            if (_cells.Contains((range.Row, range.Column)) && cellType == GridCellType.Cell)
            {
                cell.DataContext = (Booking)Grid[range.Row, range.Column];
                cell.Content = (FrameworkElement)_myTemplateSelector.SelectTemplate((Booking)Grid[range.Row, range.Column], Grid).LoadContent();
                
            }
            else
            {
                base.PrepareCell(cellType, range, cell, internalBorders);
            }
            
        }

        

        public void UpdateCellsList((int rowIndex, int columnIndex) cellItem, GridCellType? gridCellType)
        {
            if (cellItem.columnIndex != 0 && gridCellType == GridCellType.Cell)
            {
                var val = (Booking)Grid[cellItem.rowIndex, cellItem.columnIndex];
                if (!(_cells.Contains(cellItem)) && val != null)
                {
                    _cells.Add(cellItem);
                }
                else if((_cells.Contains(cellItem)) && val == null)
                {
                    _cells.Remove(cellItem);
                }
            }
        }

    }
}
