﻿using C1.WPF.Grid;
using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Controls;
using System.Windows;

namespace ImageCellTemplateBooking
{
    public class MyTemplateSelector : DataTemplateSelector
    {
        public DataTemplate UnknownStatusTemplate { get; set; }
        public DataTemplate ReservedTemplate { get; set; }
        public DataTemplate CancelledTemplate { get; set; }

        public override DataTemplate SelectTemplate(object item, DependencyObject container)
        {
            if (item == null)
            {
                return null;
            }
            FrameworkElement frameworkElement = container as FrameworkElement;
            if (frameworkElement != null)
            {
                string status = ((Booking)item).Status;
                if (status == "Cancelled")
                {
                    return CancelledTemplate;
                }
                else if (status == "Reserved")
                {
                    return ReservedTemplate;
                }
                else
                {
                    return UnknownStatusTemplate;
                }
            }
            else
            {
                return null;
            }
        }
    }
}
