﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ImageCellTemplateBooking
{
    public class Person : INotifyPropertyChanged
    {
        private string _displayName;
        private int _personID;

        public string DisplayName {
            get
            {
                return _displayName;
            }
            set
            {
                _displayName = value;
                NotifyPropertyChanged(nameof(DisplayName));
            }
        }
        public int PersonID {
            get
            {
                return _personID;
            }
            set
            {
                _personID = value;
                NotifyPropertyChanged(nameof(PersonID));
            }
        }

        public Person(string name)
        {
            DisplayName = name;
        }

        public Person(string name, int id)
        {
            DisplayName = name;
            PersonID = id;
        }

        public event PropertyChangedEventHandler? PropertyChanged;
        private void NotifyPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }

        public override string ToString()
        {
            return this.DisplayName;
        }
    }
}
